

% this m-file is used to study how an antialiasing filter may be used to
% remove high frequencies in a signal before it is sampled. We also
% investigate the spectral content of the reconstructed signal with and
% without the antialiasing filter
 
% time increment for the simulation
Deltat = .001;  

% time length for the simulation
tmax = 5;
 

% amplitude and frequency of the desired signal in Hz
ampsig = 1;
fsig = 1; 
 
% amplitude and frequency of the noise signal in Hz
ampnoise = 0.5;
fnoise = 8;
 
 
% sample time and frequency in Hz
T = .09;
f = 1/T;   
 

 

% simulate the response of a ZOH hold to a noisy input signal
sim('noisy_signal');


figure(1)
clf

plot(tout,yout(:,1),'-',tout,yout(:,2),'--',tout,yout(:,3),'-')
axis([0 tmax -2 2])
title(['sample period, T = ',num2str(T),...
      ' sec,  sample frequency, 1/T = ',num2str(f),' Hz'])
 xlabel('time, sec')
legend('signal w/o noise','noisy analog signal','reconstructed signal',4)




